import { IFieldElementProps as ICoreFieldElementProps, IFormFieldProps as ICoreFormFieldProps, IFormFieldPropsEnhanced as ICoreFormFieldPropsEnhanced, IFormFieldValue, IRenderFormField } from '@reactionable/core/lib/form/FormField';
import { ReactElement, ReactNode } from 'react';
export declare type IFieldElementProps = ICoreFieldElementProps & {
    label?: ReactNode | string;
};
export declare type IFormFieldProps<FieldElement extends IFieldElementProps, Value extends IFormFieldValue> = Omit<ICoreFormFieldProps<FieldElement, Value>, 'children'> & {
    children?: IRenderFormField<IFieldElementProps, Value> | ReactElement;
};
export declare type IFormFieldPropsEnhanced<FieldElement extends IFieldElementProps, Value extends IFormFieldValue> = ICoreFormFieldPropsEnhanced<FieldElement, Value>;
export declare function FormField<FieldElement extends IFieldElementProps = IFieldElementProps, Value extends IFormFieldValue = string>({ label, children, ...props }: IFormFieldProps<FieldElement, Value>): JSX.Element;
