"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
var tslib_1 = require("tslib");
var Identity_1 = require("@reactionable/core/lib/identity/Identity");
var Header_1 = require("@reactionable/core/lib/ui/layout/header/Header");
var react_1 = tslib_1.__importStar(require("react"));
var Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
var Navbar_1 = tslib_1.__importDefault(require("react-bootstrap/Navbar"));
var NavDropdown_1 = tslib_1.__importDefault(require("react-bootstrap/NavDropdown"));
var react_i18next_1 = require("react-i18next");
var react_router_dom_1 = require("react-router-dom");
var Modal_1 = require("../../modal/Modal");
var NavItem_1 = require("../../nav/NavItem");
function Header(_a) {
    var brand = _a.brand, _b = _a.navItems, navItems = _b === void 0 ? [] : _b, navbarProps = tslib_1.__rest(_a, ["brand", "navItems"]);
    var t = react_i18next_1.useTranslation().t;
    var _c = Identity_1.useIdentityContext(), user = _c.user, logout = _c.logout, component = _c.component, identityProvider = _c.identityProvider;
    var _d = Modal_1.useModal({
        title: t('Sign In / Sign Up'),
        body: component,
    }), modal = _d.modal, openModal = _d.openModal, closeModal = _d.closeModal;
    react_1.useEffect(function () {
        if (user) {
            closeModal();
        }
    }, [user]);
    var userMenuItems = [];
    var identityModal = undefined;
    if (identityProvider) {
        if (user) {
            userMenuItems.push(react_1.default.createElement(NavDropdown_1.default, { key: "userNav", id: "userNav", title: user.displayName() },
                react_1.default.createElement(NavDropdown_1.default.Item, { as: react_router_dom_1.Link, to: "/account" }, t('My account')),
                react_1.default.createElement(NavDropdown_1.default.Divider, null),
                react_1.default.createElement(NavDropdown_1.default.Item, { as: react_router_dom_1.Link, to: "#", onClick: logout }, t('Log out'))));
        }
        else if (user === null) {
            var handleOnClick = function () { return openModal(); };
            userMenuItems.push(react_1.default.createElement(Nav_1.default.Link, { as: react_router_dom_1.Link, to: "#", key: "signup_signin", onClick: handleOnClick }, t('Sign In / Sign Up')));
            identityModal = modal;
        }
    }
    var brandContent = react_1.default.createElement(react_1.default.Fragment, null);
    if (brand) {
        brandContent = Header_1.isLinkProps(brand) ? (react_1.default.createElement(Navbar_1.default.Brand, tslib_1.__assign({ as: react_router_dom_1.Link }, brand))) : (react_1.default.createElement(Navbar_1.default.Brand, { as: react_router_dom_1.Link, to: "/" }, brand));
    }
    return (react_1.default.createElement(react_1.default.Fragment, null,
        identityModal,
        react_1.default.createElement(Navbar_1.default, tslib_1.__assign({ expand: "lg" }, navbarProps),
            brandContent,
            react_1.default.createElement(Navbar_1.default.Toggle, { "aria-controls": "main-navbar-nav" }),
            react_1.default.createElement(Navbar_1.default.Collapse, { id: "main-navbar-nav" },
                react_1.default.createElement(Nav_1.default, { className: "mr-auto" }, navItems === null || navItems === void 0 ? void 0 : navItems.map(NavItem_1.navItemToComponent)),
                userMenuItems.length > 0 && react_1.default.createElement(Nav_1.default, null, userMenuItems)))));
}
exports.Header = Header;
//# sourceMappingURL=Header.js.map